<?php
class GetVersion {
}

class GetVersionResponse {
  public $Version; // string
}

class Login {
  public $tid; // string
  public $benid; // string
  public $pin; // string
}

class LoginResponse {
  public $Result; // string
}

class Logout {
  public $id; // string
  public $tid; // string
  public $benid; // string
}

class LogoutResponse {
  public $Result; // string
}


/**
 * SessionWSIService class
 * 
 *  
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */
class SessionWSIService extends SoapClient {

  private static $classmap = array(
                                    'GetVersion' => 'GetVersion',
                                    'GetVersionResponse' => 'GetVersionResponse',
                                    'Login' => 'Login',
                                    'LoginResponse' => 'LoginResponse',
                                    'Logout' => 'Logout',
                                    'LogoutResponse' => 'LogoutResponse',
                                   );

  public function SessionWSIService($wsdl = "SessionWSIService.wsdl", $options = array()) {
    foreach(self::$classmap as $key => $value) {
      if(!isset($options['classmap'][$key])) {
        $options['classmap'][$key] = $value;
      }
    }
    parent::__construct($wsdl, $options);
  }

  /**
   *  
   *
   * @param GetVersion $parameters
   * @return GetVersionResponse
   */
  public function GetVersion(GetVersion $parameters) {
    return $this->__soapCall('GetVersion', array($parameters),       array(
            'uri' => 'urn:SessionWSIService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param Login $parameters
   * @return LoginResponse
   */
  public function Login(Login $parameters) {
    return $this->__soapCall('Login', array($parameters),       array(
            'uri' => 'urn:SessionWSIService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param Logout $parameters
   * @return LogoutResponse
   */
  public function Logout(Logout $parameters) {
    return $this->__soapCall('Logout', array($parameters),       array(
            'uri' => 'urn:SessionWSIService',
            'soapaction' => ''
           )
      );
  }

}

?>
