<?php
class checkVat {
  public $countryCode; // string
  public $vatNumber; // string
}

class checkVatResponse {
  public $countryCode; // string
  public $vatNumber; // string
  public $requestDate; // date
  public $valid; // boolean
  public $name; // string
  public $address; // string
}

class checkVatApprox {
  public $countryCode; // string
  public $vatNumber; // string
  public $traderName; // string
  public $traderCompanyType; // companyTypeCode
  public $traderStreet; // string
  public $traderPostcode; // string
  public $traderCity; // string
  public $requesterCountryCode; // string
  public $requesterVatNumber; // string
}

class checkVatApproxResponse {
  public $countryCode; // string
  public $vatNumber; // string
  public $requestDate; // date
  public $valid; // boolean
  public $traderName; // string
  public $traderCompanyType; // companyTypeCode
  public $traderAddress; // string
  public $traderStreet; // string
  public $traderPostcode; // string
  public $traderCity; // string
  public $traderNameMatch; // matchCode
  public $traderCompanyTypeMatch; // matchCode
  public $traderStreetMatch; // matchCode
  public $traderPostcodeMatch; // matchCode
  public $traderCityMatch; // matchCode
  public $requestIdentifier; // string
}

class companyTypeCode {
}

class matchCode {
  const value_1 = '1';
  const value_2 = '2';
}


/**
 * checkVatService class
 * 
 *  
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */
class checkVatService extends SoapClient {

  private static $classmap = array(
                                    'checkVat' => 'checkVat',
                                    'checkVatResponse' => 'checkVatResponse',
                                    'checkVatApprox' => 'checkVatApprox',
                                    'checkVatApproxResponse' => 'checkVatApproxResponse',
                                    'companyTypeCode' => 'companyTypeCode',
                                    'matchCode' => 'matchCode',
                                   );

  public function checkVatService($wsdl = "checkVatService.wsdl", $options = array()) {
    foreach(self::$classmap as $key => $value) {
      if(!isset($options['classmap'][$key])) {
        $options['classmap'][$key] = $value;
      }
    }
    parent::__construct($wsdl, $options);
  }

  /**
   *  
   *
   * @param checkVat $parameters
   * @return checkVatResponse
   */
  public function checkVat(checkVat $parameters) {
    return $this->__soapCall('checkVat', array($parameters),       array(
            'uri' => 'urn:ec.europa.eu:taxud:vies:services:checkVat',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param checkVatApprox $parameters
   * @return checkVatApproxResponse
   */
  public function checkVatApprox(checkVatApprox $parameters) {
    return $this->__soapCall('checkVatApprox', array($parameters),       array(
            'uri' => 'urn:ec.europa.eu:taxud:vies:services:checkVat',
            'soapaction' => ''
           )
      );
  }

}

?>
